Last Comment Bug 305384 - Alerts service not built on non-Win32 platforms (port toolkit fix)
: Alerts service not built on non-Win32 platforms (port toolkit fix)
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Jens Bannmann
:
Mentors:
Depends on: 305375
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-21 01:56 PDT by Jens Bannmann
Modified: 2008-07-31 04:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (9.76 KB, patch)
2005-09-17 03:00 PDT, Jens Bannmann
neil: review+
Details | Diff | Splinter Review
GTK1 tweak (checked in trunk and branch) (548 bytes, patch)
2005-09-21 06:40 PDT, neil@parkwaycc.co.uk
roc: review+
roc: superreview+
asa: approval1.8b5+
Details | Diff | Splinter Review
patch v2 (9.66 KB, patch)
2005-09-21 13:44 PDT, Jens Bannmann
jens.b: review+
jens.b: superreview+
asa: approval1.8b5+
Details | Diff | Splinter Review

Description Jens Bannmann 2005-08-21 01:56:11 PDT
See bug 305375 - the fix must be ported to XPFE because the alerts code is
forked. I'll do this once the code is reviewed.
Comment 1 Jens Bannmann 2005-09-17 03:00:06 PDT
Created attachment 196407 [details] [diff] [review]
patch

Port of the toolkit changes.

- Alerts service IDL is now always built.
- Alerts implementation is only built on windows, gtk1 and gtk2.
- JS tweaks to make alerts work with gtk (no 0-pixel-height windows) and look
good

Both the download manager and its preferences page automatically detect whether
the service is built, so no changes neccessary there.
Comment 2 Jens Bannmann 2005-09-17 03:17:42 PDT
Comment on attachment 196407 [details] [diff] [review]
patch

Neil: Reading SeaMonkey's review-and-flags document, I'm not quite sure whether
this qualifies as a real UI change and needs sr - but I think you'll probably
want to do both r/sr yourself then, anyway.
Comment 3 neil@parkwaycc.co.uk 2005-09-21 05:53:05 PDT
Comment on attachment 196407 [details] [diff] [review]
patch

>+  var windowDim = document.documentElement.boxObject;
Nit: unused variable
Comment 4 neil@parkwaycc.co.uk 2005-09-21 06:40:55 PDT
Created attachment 196909 [details] [diff] [review]
GTK1 tweak (checked in trunk and branch)

This brings GTK1's handling of small windows in to line with GTK2 i.e. don't
resize small windows, just don't display them.
Comment 5 Jens Bannmann 2005-09-21 13:44:02 PDT
Created attachment 196942 [details] [diff] [review]
patch v2

Carrying over previous patch's r= as sr=neil plus r=bsmedberg from original
toolkit patch.
Comment 6 Christian :Biesinger (don't email me, ping me on IRC) 2005-09-22 14:17:13 PDT
Checking in xpfe/components/alerts/Makefile.in;
/cvsroot/mozilla/xpfe/components/alerts/Makefile.in,v  <--  Makefile.in
new revision: 1.4; previous revision: 1.3
done
Checking in xpfe/components/alerts/resources/content/alert.js;
/cvsroot/mozilla/xpfe/components/alerts/resources/content/alert.js,v  <--  alert.js
new revision: 1.6; previous revision: 1.5
done
Checking in xpfe/components/build/Makefile.in;
/cvsroot/mozilla/xpfe/components/build/Makefile.in,v  <--  Makefile.in
new revision: 1.70; previous revision: 1.69
done
Checking in xpfe/components/build/nsModule.cpp;
/cvsroot/mozilla/xpfe/components/build/nsModule.cpp,v  <--  nsModule.cpp
new revision: 1.54; previous revision: 1.53
done
Comment 7 Jens Bannmann 2005-09-22 14:48:45 PDT
Comment on attachment 196942 [details] [diff] [review]
patch v2

I'd like to have this on the branch. It's a straight port of toolkit bug 305375
which got approved, too. Summary: No UI change, very low
risk (only makefile changes plus small JS tweaks), high value for
XULRunner/Extension developers, lets gtk users optionally enable download
alerts via the existing pref.
Comment 8 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-09-26 17:16:21 PDT
1.8 branch:
Checking in components/alerts/Makefile.in;
/cvsroot/mozilla/xpfe/components/alerts/Makefile.in,v  <--  Makefile.in
new revision: 1.3.20.1; previous revision: 1.3
done
Checking in components/alerts/resources/content/alert.js;
/cvsroot/mozilla/xpfe/components/alerts/resources/content/alert.js,v  <--  alert.js
new revision: 1.5.20.1; previous revision: 1.5
done
Checking in components/build/Makefile.in;
/cvsroot/mozilla/xpfe/components/build/Makefile.in,v  <--  Makefile.in
new revision: 1.69.8.1; previous revision: 1.69
done
Checking in components/build/nsModule.cpp;
/cvsroot/mozilla/xpfe/components/build/nsModule.cpp,v  <--  nsModule.cpp
new revision: 1.53.8.1; previous revision: 1.53
done
Comment 9 neil@parkwaycc.co.uk 2005-09-27 05:42:59 PDT
Comment on attachment 196909 [details] [diff] [review]
GTK1 tweak (checked in trunk and branch)

Seeking approval for low risk platform specific code (not used by official
mozilla.org releases).
Comment 10 Jens Bannmann 2005-10-03 03:29:56 PDT
See also bug 310900.

Note You need to log in before you can comment on or make changes to this bug.